/**
 * @description Wrap表单配置信息
 */
export default function (wrap) {
  let menulist = sessionStorage.getItem('appMenus')

  if (menulist) {
    try {
      menulist = JSON.parse(menulist)
    } catch (e) {
      menulist = []
    }
  } else {
    menulist = []
  }

  const wrapForm = [
    {
      type: 'text',
      field: 'name',
      label: '组件名称',
      initval: wrap.name || '',
      tooltip: '用于组件间的区分。',
      required: true
    },
    {
      type: 'number',
      field: 'width',
      label: '宽度',
      initval: wrap.width || 24,
      tooltip: '栅格布局，每行等分为24列。',
      min: 1,
      max: 24,
      precision: 0,
      required: true
    },
    {
      type: 'select',
      field: 'linkMenuId',
      label: '关联菜单',
      initval: wrap.linkMenuId || '',
      tooltip: '可自定义分享菜单，空值时为当前页面。',
      required: false,
      options: menulist
    },
    {
      type: 'color',
      field: 'color',
      label: '颜色',
      initval: wrap.color || '#000000',
      colorType: 'hex',
      required: true
    },
  ]

  return wrapForm
} 